// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) Circles() Circles { return Circles(t) }

type Circles struct{ alias string }

func (t Circles) TableAlias() string { return t.alias }
func (t Circles) name() string       { return "Circles" }
func (t Circles) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t Circles) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.ID(),
		c.GroupID(),
		c.LastUpdatedAt(),
	}
}

func (t Circles) Columns() CirclesCols { return CirclesCols{tableAlias: t.alias} }

type CirclesCols struct{ tableAlias string }

func (c CirclesCols) ID() string            { return colName(c.tableAlias, "ID") }            // STRING(36)
func (c CirclesCols) GroupID() string       { return colName(c.tableAlias, "GroupID") }       // STRING(36)
func (c CirclesCols) LastUpdatedAt() string { return colName(c.tableAlias, "LastUpdatedAt") } // TIMESTAMP NULL
